
* {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
}

:root {
    --primary: #0f6d70;
    --secondary: #123b55;
    --text: #374151;
    --light: #f5f8fb;
    --white: #fff;
    --radius: 12px;
    --shadow: 0 10px 25px rgba(0,0,0,.06);
}

body {
    font-family: 'Inter', sans-serif;
    color: var(--text);
    background: #fff;
    line-height: 1.7;
}

h1, h2, h3, h4, .logo {
    font-family: 'Inter', sans-serif;
    color: var(--secondary);
}

h2{
    text-transform:uppercase;
}

img {
    max-width: 100%;
    display: block;
    height: auto;
}

.container {
    width: 90%;
    max-width: 1400px;
    margin: auto;
}


.btn-primary {
    display: inline-flex;
    align-items: center;
    gap: 0.75rem;
    background-color: #1a55e3;
    color: #fff;
    padding: 0.875rem 1.75rem;
    border-radius: 4px;
    font-weight: 600;
    text-decoration: none;
    transition: all 0.3s ease;
    border: none;
    cursor: pointer;
}

        /*==================================
        Menu
        ===================================*/
                
                
        /* ─── NAVIGATION ─── */
        nav {
        position: sticky; 
        top: 0; 
        z-index: 100;
        background: var(--white);
        padding: 0 5%;
        display: flex; 
        align-items: center; 
        justify-content: space-between;
        height: 80px;
        box-shadow: 0 2px 10px rgba(0, 0, 0, 0.05);
        }
        .logo img {
        max-height: 68px;
        width: auto;
        }
        .nav-links { 
        display: flex; 
        gap: 2rem; 
        list-style: none; 
        align-items: center;
        }
        .nav-links a { 
        text-decoration: none; 
        color: var(--navy); 
        font-size: 0.95rem; 
        font-weight: 500; 
        transition: color 0.2s ease; 
        position: relative; 
        }
       .nav-links a:hover {
    color: #1a55e3;
}


.nav-cta:hover { 
        background: #0b1f4b !important; 
        transform: translateY(-1px);
        color:#fff !important;
}
        .has-dropdown::after { 
        /*content: ' ▾'; */
        font-size: 0.75rem; 
        color: var(--gray); 
        }
        .nav-cta {
        background: var(--blue); 
        color: var(--white) !important;
        padding: 0.7rem 1.4rem; 
        border-radius: 6px;
        white-space: nowrap;
        transition: background 0.2s ease, transform 0.2s ease !important;
        }
        
        .nav-links li.has-dropdown {
           position: relative;
        }
        
        .nav-links .submenu {
           display: none;
           position: absolute;
           top: 100%;
           left: 0;
           background: #fff;
           list-style: none;
           min-width: 180px;
           padding: 0.5rem 0;
           margin: 0;
            border-radius: 0 0 6px 6px;
           border-radius: 6px;
           box-shadow: 0 8px 20px rgba(0, 0, 0, 0.1);
        }
        
        .nav-links li.has-dropdown:hover .submenu {
           display: block;
           z-index:1000;
        }
        
        .submenu li {
           width: 100%;
        }
        
        .submenu li a {
           display: block;
           padding: 0.6rem 1.2rem;
           white-space: nowrap;
           color: var(--navy);
           font-weight: 400;
        }
        
        .submenu li a:hover {
           background: rgba(0, 0, 0, 0.04);
           color: var(--blue);
        }
	.nav-cta {
    background: #1a55e3;
    color: #fff !important;
    padding: 0.7rem 1.4rem;
    border-radius: 6px;
    white-space: nowrap;
    transition: background 0.2s ease, transform 0.2s ease !important;
}



/* HERO */
.hero-law {
    padding: 260px 0 80px;
    background: linear-gradient(to right, #ffffff 50%, #f0f4f8 100%);
    background-image:url(banner.png);
    min-height: 875px;
}

.hero-grid {
    display: grid;
    grid-template-columns: 1fr 1fr;
    gap: 60px;
    align-items: center;
}

.subtitle {
    color: var(--black);
/*    font-weight: 700;*/
    font-size: 12px;
/*    letter-spacing: 2px;*/
    margin-bottom: 15px;
    text-transform: uppercase;
}

.hero-law h1 {
    font-size: 65px;
    line-height: 1.1;
    margin-bottom: 20px;
    font-weight: 800;
}

.hero-law p {
    font-size: 18px;
    margin-bottom: 35px;
    color: #4b5563;
}

.hero-image img {
    border-radius: var(--radius);
    box-shadow: var(--shadow);
}

/* PURPOSE */
.purpose {
    padding: 35px 0;
    background: #fff;
    background-image:url(purpose.png);
    min-height:875px;
    background-repeat:no-repeat;
}

.section-title {
    margin-bottom: 50px;
}

.section-title p {
    color: var(--black);
    /*font-weight: 700;*/
    font-size: 12px;
/*    letter-spacing: 2px;*/
    /*text-transform: uppercase;*/
}

.section-title h2 {
    font-size: 32px;
    margin-top: 10px;
    margin-bottom: 20px;
}

.section-title .desc {
    max-width: 800px;
    font-size: 16px;
    padding:20px 0;
}

/* Changed to 6-column grid for icons based on image */
.features {
    display: grid;
    grid-template-columns: repeat(6, 1fr);
    gap: 20px;
    margin-top: 50px;
}

.feature-card {
    background: #fff;
    padding: 20px 15px;
    border-radius: 8px;
    text-align: center;
    border: 1px solid #e5e7eb;
}

.icon {
    width: 45px;
    height: 45px;
    background: var(--light);
    color: var(--primary);
    border-radius: 50%;
    display: flex;
    align-items: center;
    justify-content: center;
    font-size: 20px;
    margin: 0 auto 15px;
}

.feature-card h4 {
    font-size: 13px;
    margin-bottom: 8px;
    font-family: 'Inter', sans-serif;
    font-weight: 600;
}

.feature-card p {
    font-size: 13px;
    color: #6b7280;
    line-height: 1.5;
}

/* STATUS QUO */
.status-section {
    padding: 35px 0;
    background: var(--light);
    background-image:url(status.png);
    background-repeat:no-repeat;
}

.status-top {
    display: grid;
    grid-template-columns: 1fr 1fr;
    gap: 60px;
    align-items: center;
    margin-bottom: 50px;
}

.quote-box {
    background: #fff;
    border-left: 4px solid var(--primary);
    padding: 20px 25px;
    margin: 30px 0;
    font-style: italic;
    color: #4b5563;
    box-shadow: 0 4px 6px rgba(0,0,0,.02);
    display: flex;
    align-items: center;      /* Vertical center */
    
}

.quote-box img{
    float:left;
    padding-right:20px;
}

.status-image img {
    border-radius: var(--radius);
    box-shadow: var(--shadow);
}

/* 5-column grid for challenges based on image */
.challenge-grid {
    display: grid;
    grid-template-columns: repeat(5, 1fr);
    gap: 20px;
}

.challenge-card {
    background: #fff;
    padding: 30px 20px;
    text-align: center;
    border-radius: 10px;
    border-top: 3px solid var(--primary);
    box-shadow: var(--shadow);
}

.challenge-icon {
    font-size: 32px;
    margin-bottom: 15px;
}

.challenge-card h4 {
    font-size: 16px;
    margin-bottom: 10px;
    font-family: 'Inter', sans-serif;
}
.challenge-card p {
    font-size: 13px;
    color: #6b7280;
}

/* SMARTER STANDARD */
.smart-section {
    padding: 40px 0;
    background: #fff;
    background-image:url(banner.png);
}

.smart-grid {
    display: grid;
    grid-template-columns: 1fr 1fr;
    gap: 60px;
    align-items: center;
}

.smart-image img {
    border-radius: var(--radius);
    box-shadow: var(--shadow);
}

.benefits {
    display: grid;
    grid-template-columns: repeat(5, 1fr);
    gap: 20px;
    
    margin-top: 40px;
}

.benefit {
    text-align: left;
    background-color: #fff;
    padding: 15px;
    border-radius: 5%;
    border: 1px solid #e7e7e7;
}

.benefit .icon-wrap {
    width: 45px;
    height: 45px;
    background: var(--light);
    color: var(--primary);
    display: flex;
    align-items: center;
    justify-content: center;
    border-radius: 50%;
    margin-bottom: 15px;
    font-size: 20px;
}

.benefit h4 {
    font-family: 'Inter', sans-serif;
    font-size: 16px;
    margin-bottom: 8px;
}

.benefit p {
    font-size: 14px;
    color: #6b7280;
}

/* PLATFORMS */
.platform-section {
    padding: 40px 0;
    background: var(--light);
    background-image:url(purpose.png);
    background-repeat:no-repeat;
}

.platform-grid {
    display: grid;
    grid-template-columns: repeat(2, 1fr);
    gap: 40px;
}

.platform-card {
    background: #fff;
    border-radius: var(--radius);
    overflow: hidden;
    box-shadow: var(--shadow);
    display: flex;
    align-items: stretch;
}

.platform-card img {
    width: 200px;
    object-fit: cover;
}

.platform-body {
    padding: 10px 30px;
    flex: 1;
}

.platform-body h3 {
    font-size: 24px;
    margin-bottom: 10px;
}

.platform-body p {
    font-size: 10px;
    color: #4b5563;
    margin-bottom: 15px;
}

.platform-body ul {
    margin: 15px 0 25px;
    padding-left: 0;
    list-style: none;
    display: grid;
    grid-template-columns: 1fr 1fr;
    gap: 10px;
}

.platform-body li {
    font-size: 10px;
    color: #4b5563;
    display: flex;
    align-items: center;
    gap: 8px;
}

.platform-body li::before {
    content: "✓";
    color: var(--primary);
    font-weight: bold;
}

.platform-body a {
    text-decoration: none;
    color: #fff;
    background: var(--primary);
    padding: 8px 16px;
    border-radius: 4px;
    font-size: 13px;
    font-weight: 600;
}

/* CAPABILITIES */
.capabilities {
    padding: 40px 0;
    background: #fff;
}

.capability-grid {
    display: grid;
    grid-template-columns: repeat(2, 1fr);
    gap: 30px;
    margin-top: 40px;
}

.capability-card {
    background: var(--light);
    padding: 30px;
    border-radius: var(--radius);
    display: flex;
    gap: 20px;
    align-items: flex-start;
    min-height:350px;
}

.capability-card ul{
    width:270px;
}

.cap-icon {
    width: 60px;
    height: 60px;
    background: var(--secondary);
    color: #fff;
    font-size: 24px;
    display: flex;
    align-items: center;
    justify-content: center;
    border-radius: 8px;
    flex-shrink: 0;
}

.capability-card h3 {
    font-size: 20px;
    margin-bottom: 10px;
    font-family: 'Inter', sans-serif;
    padding:15px 0;
}

.capability-card p {
    font-size: 14px;
    color: #4b5563;
}

/* IMPACT */
.impact {
    padding: 40px 0;
    background: var(--light);
    background-image:url(impact.png);
    background-repeat:no-repeat;
}

.impact-grid {
    display: grid;
    grid-template-columns: 1fr 1.2fr;
    gap: 60px;
    align-items: center;
}


.impact-grid img {
    border-radius: var(--radius);
    box-shadow: var(--shadow);
}

.impact h2 {
    font-size: 32px;
    margin: 15px 0;
}

.impact-list {
    display: grid;
    grid-template-columns: repeat(3, 1fr);
    gap: 15px;
    margin-top: 30px;
}

.impact-list div {
    background: #fff;
    padding: 15px 20px;
    border-radius: 8px;
    font-weight: 600;
    font-size: 14px;
    display: flex;
    align-items: center;
    box-shadow: 0 2px 10px rgba(0,0,0,.03);
}

.impact-list span {
    color: var(--primary);
    margin-right: 12px;
    font-size: 18px;
}

.impact-list img {
    max-width:40px;
}

/* TRUST / ADVANTAGE */
.trust {
    padding: 100px 0;
    background: #fff;
    background-image:url(adv.png);
}

.trust-banner {
    margin: 40px 0;
}

.trust-banner img {
    border-radius: var(--radius);
    width: 100%;
    height: 400px;
    object-fit: cover;
}

.trust-grid {
    display: grid;
    grid-template-columns: repeat(4, 1fr);
    gap: 25px;
}

.trust-title-grid{
    display: grid;
    grid-template-columns: 1fr 1.2fr;
    gap: 60px;
    align-items: center;
}

.trust-card {
    background: var(--light);
    padding: 30px 25px;
    border-radius: var(--radius);
    text-align: center;
}

.trust-icon {
    font-size: 36px;
    margin-bottom: 20px;
    color: var(--primary);
}

.trust-card h3 {
    margin-bottom: 15px;
    font-size: 18px;
    font-family: 'Inter', sans-serif;
}

.trust-card p {
    font-size: 14px;
    color: #4b5563;
}

/* CTA */
.cta-section {
    padding: 100px 0;
    background: var(--light);
    background-image:url(ready.png);
    min-height:900px;
}

.cta-grid {
    display: grid;
    grid-template-columns: 1fr 1fr;
    gap: 50px;
    align-items: center;
}

.cta-content h2 {
    font-size: 32px;
    margin-bottom: 25px;
}

.cta-content p {
    font-size: 18px;
    color: #4b5563;
    margin-bottom: 30px;
}

.cta-image img {
    border-radius: var(--radius);
    box-shadow: var(--shadow);
}

/* FOOTER */
footer {
    background: var(--secondary);
    color: #fff;
    padding: 80px 0 30px;
}

.footer-tagline {
    text-align: center;
    margin-bottom: 60px;
}

.footer-tagline h2 {
    color: #fff;
    font-size: 48px;
    letter-spacing: 1px;
}

.footer-tagline span {
    color: #7ab4b6;
}

.footer-grid {
    display: grid;
    grid-template-columns: 2fr 1fr 1fr 1fr;
    gap: 50px;
}

footer h3 {
    font-size: 24px;
    margin-bottom: 15px;
    color: #fff;
}

footer p {
    color: #aebfd0;
    font-size: 14px;
}

footer h4 {
    margin-bottom: 20px;
    font-family: 'Inter', sans-serif;
    color: #fff;
    font-size: 16px;
}

footer ul {
    list-style: none;
}

footer li {
    margin-bottom: 12px;
}

footer a {
    color: #aebfd0;
    text-decoration: none;
    font-size: 14px;
    transition: .2s;
}

footer a:hover {
    color: #fff;
}

footer hr {
    margin: 50px 0 25px;
    border: none;
    height: 1px;
    background: rgba(255,255,255,.1);
}

.copyright {
    text-align: center;
    font-size: 13px;
    color: #89a3bb;
}




/* --- LAPTOP TO SMALL MONITOR SCALING (Down to 1200px) --- */
@media (max-width: 1400px) {

:root { --max-width: 1330px; }
nav { height: 100px; padding: 0 3%; }
.nav-links a { font-size: .85rem; }
section { padding: 3rem 3%; }
.hero-law { min-height: 80vh; }
.hero-law h1 { font-size: 3rem; }
.hero-law p { font-size: 1rem; max-width: 500px; }
.hero-law {
position: relative;
    background: linear-gradient(135deg, #f0f7fa 0%, #ffffff 100%);
    background-image: url("banner.png");
    background-position: center center;
    background-repeat: no-repeat;
    background-size: cover;

    padding: 4rem 0 0;
    min-height: 590px;
    overflow: hidden;
}
.hero-title {
    padding-top: 60px;
}
.purpose{
    position: relative;
    background: linear-gradient(135deg, #f0f7fa 0%, #ffffff 100%);
    background-image: url(purpose.png);
    background-position: center center;
    background-repeat: no-repeat;
    background-size: cover;

    padding: 4rem 0 0;
    min-height: 775px;
    overflow: hidden;
}

.status-section{
    position: relative;
    background: linear-gradient(135deg, #f0f7fa 0%, #ffffff 100%);
    background-image: url(status.png);
    background-position: center center;
    background-repeat: no-repeat;
    background-size: cover;

    padding: 4rem 0 0;
    min-height: 590px;
    overflow: hidden;
}

.smart-section{
    position: relative;
    background: linear-gradient(135deg, #f0f7fa 0%, #ffffff 100%);
    background-image: url(banner.png);
    background-position: center center;
    background-repeat: no-repeat;
    background-size: cover;

    padding: 4rem 0 0;
    min-height: 590px;
    overflow: hidden;
}

.platform-section{
    position: relative;
    background: linear-gradient(135deg, #f0f7fa 0%, #ffffff 100%);
    background-image: url(purpose.png);
    background-position: center center;
    background-repeat: no-repeat;
    background-size: cover;

    padding: 4rem 0 0;
    min-height: 1400px;
    overflow: hidden;
}

.impact{
    position: relative;
    background: linear-gradient(135deg, #f0f7fa 0%, #ffffff 100%);
    background-image: url(impact.png);
    background-position: center center;
    background-repeat: no-repeat;
    background-size: cover;

    padding: 4rem 0 0;
    min-height: 890px;
    overflow: hidden;
}

.trust{
    position: relative;
    background: linear-gradient(135deg, #f0f7fa 0%, #ffffff 100%);
    background-image: url(adv.png);
    background-position: center center;
    background-repeat: no-repeat;
    background-size: cover;

    padding: 4rem 0 0;
    min-height: 770px;
    overflow: hidden;
}

.cta-section{
    position: relative;
    background: linear-gradient(135deg, #f0f7fa 0%, #ffffff 100%);
    background-image: url(ready.png);
    background-position: center center;
    background-repeat: no-repeat;
    background-size: cover;

    padding: 4rem 0 0;
    min-height: 770px;
    overflow: hidden;
}
.cta-split h2 {
    font-size: 32px;
}
.cta-split p {
    font-size: 15px;
}
   
}



@media (max-width: 480px) {
    
     .benefits{
                grid-template-columns: repeat(1, 1fr);
            }
            .cta-section{
                background-image:none;
                background-color:#d7e1f9;
            }
            .capability-card {
    
    padding: 5px;
            }
            .trust-title-grid {
    
    grid-template-columns: 1fr;
            }
}




/* =========================================================
   MOBILE & TABLET BREAKPOINT (1024px and below)
   ========================================================= */
@media screen and (max-width: 1024px) {

  /* 3-Line Hamburger Icon Container */
  .mobile-menu-toggle {
    display: flex;
    flex-direction: column;
    justify-content: space-between;
    width: 30px;
    height: 21px; /* Spacing between lines */
    background: transparent;
    border: none;
    cursor: pointer;
    padding: 0;
    z-index: 1001;
  }

  /* The 3 Individual Horizontal Lines */
  .mobile-menu-toggle .bar {
    display: block;
    width: 100%;
    height: 3px;
    background-color: #333; /* Change color if your nav is dark */
    border-radius: 2px;
    transition: all 0.3s ease-in-out;
  }

  /* Hidden Menu by default */
  .nav-links {
    display: none;
    flex-direction: column;
    position: absolute;
    top: 100%;
    left: 0;
    width: 100%;
    background-color: #ffffff;
    padding: 1.5rem;
    box-shadow: 0 10px 15px rgba(0, 0, 0, 0.1);
    z-index: 1000;
  }

  /* Expanded Menu */
  .nav-links.active {
    display: flex;
  }

  /* ----------------------------------------------------
     ANIMATION: Transform 3 Lines into an "X" when open
     ---------------------------------------------------- */
  .mobile-menu-toggle.open .bar:nth-child(1) {
    transform: translateY(9px) rotate(45deg);
  }

  .mobile-menu-toggle.open .bar:nth-child(2) {
    opacity: 0; /* Middle line fades out */
  }

  .mobile-menu-toggle.open .bar:nth-child(3) {
    transform: translateY(-9px) rotate(-45deg);
  }

  /* Submenu and Links formatting */
  .nav-links > li {
    width: 100%;
    margin: 0.5rem 0;
  }

  .nav-links a {
    display: block;
    padding: 0.75rem 0;
    border-bottom: 1px solid #f0f0f0;
  }

  .has-dropdown .submenu {
    display: none;
    padding-left: 1rem;
    background-color: #fafafa;
  }

  .has-dropdown.open .submenu {
    display: block;
  }
}







/* RESPONSIVE */
@media (max-width: 1024px) {
    .features { grid-template-columns: repeat(3, 1fr); }
    .challenge-grid { grid-template-columns: repeat(3, 1fr); }
    .platform-card { flex-direction: column; }
    .platform-card img { width: 100%; height: 200px; }
}

@media (max-width: 768px) {
    .menu { display: none; }
    .hero-grid, .status-top, .smart-grid, .platform-grid, .capability-grid, .impact-grid, .cta-grid {
        grid-template-columns: 1fr;
    }
    .hero-law { padding-top: 120px; text-align: center; }
    .hero-image { order: -1; }
    .features { grid-template-columns: repeat(2, 1fr); }
    .challenge-grid { grid-template-columns: repeat(2, 1fr); }
    .trust-grid { grid-template-columns: repeat(2, 1fr); }
    .footer-grid { grid-template-columns: 1fr 1fr; }
    .footer-tagline h2 { font-size: 32px; }
}

@media (max-width: 480px) {
    .features, .challenge-grid, .trust-grid, .footer-grid, .impact-list {
        grid-template-columns: 1fr;
    }
    .hero-law h1 { font-size: 40px; }
    .section-title h2 { font-size: 32px; }
}